Chat with us, powered by LiveChat

SkaDate Hosting Requirements

If you want to host SkaDate on third party hosting or on your own servers, you are free to do so! However, make sure that your hosting meets the following SkaDate server requirements:

Linux/Unix/Windows

Apache 2 or higher with:

– mod_rewrite on
– mod_security (strict configurations) off

PHP 7.0:

– cURL on
– register_globals off
– safe_mode off
– suhosin (strict configurations) off

PHP modules:

PDO, DOM, mbstring, zip, zlib, ftp, json

Other:

– Valid SSL certificate installed
– MySQL from 5.0 to 5.6
– GD Library 2 with FreeType support
– Mail server (SendMail, Exim or other)
– Cron

Warning: Although some hosting companies do offer SkaDate-compatible setups, there’s always more to your website well-being than the list of technology requirements. In practice, 90% of problems with SkaDate arise from various subtle server limitations and configuration setups.

Warning #2: Shared hosting is never a good idea, even for trying things out.

Preferred way of hosting SkaDate and the list of tested third party hosting companies is here.

Menu